BizKitHub
DocsAPI ReferenceContact Credit/bff/contact-credit/reason/update
postContact CreditAdmin BFF

/bff/contact-credit/reason/update

Patches an existing credit reason. Only provided fields are changed.

Contact CreditpostBffContact-creditReasonUpdate

Parameters

JSON body

Request body

application/json
codestringRequired

Code identifying the reason to update.

namestringOptional

New display name.

descriptionstringOptional

New description.

defaultAmountnumberOptional

New default credit amount.

defaultAmountMoneynumber | nullOptional
One of 2:
Variant 1
number

New default monetary value. Pass null to clear and inherit from defaultAmount.

Variant 2
null
positionnumberOptional

New ordering position.

activebooleanOptional

Whether the reason is active.

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/contact-credit/reason/update

post
curl -X POST "https://api.bizkithub.com/bff/contact-credit/reason/update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "code": "example_code",
  "name": "example_name",
  "description": "example_description",
  "defaultAmount": 0,
  "position": 0,
  "active": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key